# Method GL.glColorMask()

Method glColorMask

  ``void` glColorMask(`int` `red`, `int` `green`, `int` `blue`, `int` `alpha`)`

Description

  glColorMask specifies whether the individual color components in the frame buffer can or cannot be written. If red is GL_FALSE, for example, no change is made to the red component of any pixel in any of the color buffers, regardless of the drawing operation attempted.

  Changes to individual bits of components cannot be controlled. Rather, changes are either enabled or disabled for entire color components.

Parameter `red`

  Specify whether red, green, blue, and alpha can or cannot be written into the frame buffer. The initial values are all GL_TRUE, indicating that the color components can be written.

Throws

  GL_INVALID_OPERATION is generated if glColorMask is executed between the execution of glBegin and the corresponding execution of glEnd.